Bug 1262496 - bonding option "primary" is considered invalid by vdsm
bonding option "primary" is considered invalid by vdsm
Status: CLOSED CURRENTRELEASE
Product: vdsm
Classification: oVirt
Component: General (Show other bugs)
---
x86_64 Linux
high Severity high (vote)
: ovirt-3.6.1
: 4.17.12
Assigned To: Ondřej Svoboda
Michael Burman
network
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-11 19:27 EDT by Peter Lannigan
Modified: 2016-02-10 14:16 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-16 07:19:43 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑3.6.z+
ylavi: Triaged+
ylavi: planning_ack+
rule-engine: devel_ack+
myakove: testing_ack+


Attachments (Terms of Use)
ovirt-hosted-engine-setup log file (333.91 KB, text/plain)
2015-09-14 12:53 EDT, Peter Lannigan
no flags Details
/var/lib/vdsm/bonding-defaults.json (8.83 KB, text/plain)
2015-11-06 16:10 EST, Peter Lannigan
no flags Details
/var/log/vdsm/supervdsm.log (42.83 KB, text/plain)
2015-11-06 16:11 EST, Peter Lannigan
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 48008 master MERGED bonding defaults: for validation, we need to be aware of all options Never
oVirt gerrit 48340 ovirt-3.6 MERGED bonding defaults: for validation, we need to be aware of all options Never
oVirt gerrit 48451 ovirt-3.6 MERGED networkTests: ensure that the 'primary' bonding option is recognized Never

  None (edit)
Description Peter Lannigan 2015-09-11 19:27:42 EDT
Description of problem:
hosted-engine --deploy fails with an error message saying that "primary" is not a valid option for a bond.

Version-Release number of selected component (if applicable):
CentOS 7
ovirt-hosted-engine-setup-1.3.0-0.0.master.20150909090214.git794400d.el7.centos.noarch

How reproducible:
Very

Steps to Reproduce:
1. Networking setup
    em1 & em2 are part of bond0
    bond0.1000 (vlan) is built on bond0
2. ifcfg-bond0 has line
     BONDING_OPTS="mode=active-backup primary=em1 primary-reselect=always"
3. Run hosted-engine --deploy and select the bond0.1000 interface for the engine.
    (I am doing an FC install to a SAS LUN, if it matters)
4. Install will fail

Actual results:
Failure to build the hosted-engine.  Error message says "primary" is not a valid bond option.

Expected results:
Continued install of the hosted-engine.

Additional info:
When I change the line in bond0 to
  BONDING_OPTS="mode=active-backup" then hosted-engine --deploy succeeds.
Comment 1 Yedidyah Bar David 2015-09-13 02:05:46 EDT
Hi,

Can you please check/attach relevant logs? At least hosted-engine setup - in /var/log/ovirt-hosted-engine-setup , perhaps also vdsm (/var/log/vdsm/*).

Also please 'rpm -qa | grep -i vdsm'.

I assume that the bond works well as-is, right?

Thanks.
Comment 2 Peter Lannigan 2015-09-14 12:53:50 EDT
Created attachment 1073345 [details]
ovirt-hosted-engine-setup log file

The network setup you will see in the log file is

em1 + em2 -> bond0

bond0.1000 VLAN has bridge virbr1000 with an IP

bond0.129 VLAN does not have a bridge or an IP and was the one specified in the hosted engine setup.  Again, if I had 'BONDING_OPTS="mode=active-backup primary=em1 primary-reselect=always"' in the ifcfg.bond0 file the install would fail.  If I changed that to 'BONDING_OPTS=mode=active-backup' the install would succeed.

The bond seems to work fine either way, I just prefer to have more control so the network traffic stats stay on one port.
Comment 3 Yedidyah Bar David 2015-09-16 04:26:15 EDT
It fails when calling vdscli setupNetworks . Dan - can you please have a look? Thanks.
Comment 4 Dan Kenigsberg 2015-10-28 05:41:58 EDT
"primary" is a valid bond option; Vdsm should have recognised it.

can you include vdsm version, supervdsm.log and the /var/lib/vdsm/bonding-defaults.json from the host?
Comment 5 Peter Lannigan 2015-11-06 16:10 EST
Created attachment 1090786 [details]
/var/lib/vdsm/bonding-defaults.json
Comment 6 Peter Lannigan 2015-11-06 16:11 EST
Created attachment 1090787 [details]
/var/log/vdsm/supervdsm.log
Comment 7 Peter Lannigan 2015-11-06 16:12:28 EST
Still seeing this error in the released version of oVirt 3.6.

vdsm version: vdsm-4.17.10.1-0.el7.centos.noarch

The supervdsm.log and bonding-defaults.json files are attached.
Comment 8 Ondřej Svoboda 2015-11-12 07:59:42 EST
Peter Lannigan,

'primary' option will be recognized in the next 3.6 release (and of course in 4.0). Please just note that 'primary-reselect=always' should be spelled with an underscore otherwise it is also unknown :-)
Comment 9 Dan Kenigsberg 2015-11-18 05:55:42 EST
To reporduce, set custom bond option

 mode=active-backup primary=em1 primary-reselect=always
Comment 10 Sandro Bonazzola 2015-11-24 11:43:46 EST
Please set target release or I can't move the bug to ON_QA automatically.
Comment 11 Red Hat Bugzilla Rules Engine 2015-11-24 13:09:14 EST
Bug tickets that are moved to testing must have target release set to make sure tester knows what to test. Please set the correct target release before moving to ON_QA.
Comment 12 Red Hat Bugzilla Rules Engine 2015-11-26 23:39:47 EST
Bug tickets that are moved to testing must have target release set to make sure tester knows what to test. Please set the correct target release before moving to ON_QA.
Comment 13 Michael Burman 2015-12-13 10:30:07 EST
Verified on - vdsm-4.17.13-1.el7ev.noarch
ovirt-hosted-engine-setup-1.3.1.2-1.el7ev.noarch
3.6.1.2-0.1.el6
Comment 14 Sandro Bonazzola 2015-12-16 07:19:43 EST
According to verification status and target milestone this issue should be fixed in oVirt 3.6.1. Closing current release.

Note You need to log in before you can comment on or make changes to this bug.